View all methods

catalog.entities.scorecards

Get the current scorecard report for an entity.

Facts

Method GET https://api.getdx.com/catalog.entities.scorecards
Required scope catalog:read

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.
identifier Text The unique identifier for the entity.

Optional arguments

Name Type Description
cursor String Cursor used to request the next page. Can be found in prior request via response_metadata.next_cursor.
limit Integer Limit the number of entities per page. Defaults to 50.

Example request

This is a typical request:

curl -X GET https://api.getdx.com/catalog.entities.scorecards?identifier=app&cursor=xuvkgfq9t0ty&limit=50 \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Response

Each item in the scorecards array is a Scorecard Report object.

Example response

This is a typical success response:

{
  "ok": true,
  "scorecards": [
    {
      "id": "7o75a314lejw",
      "name": "Production Readiness",
      "type": "LEVEL",
      "tags": [{ "value": "production", "color": "#38bdf8" }],
      "levels": [
        {
          "id": "6tz3h7qk8hk8",
          "name": "Bronze",
          "color": "#fb923c",
          "rank": 1
        },
        {
          "id": "ud8j9w31rce2",
          "name": "Silver",
          "color": "#9ca3af",
          "rank": 2
        },
        {
          "id": "iqehbshu5mkn",
          "name": "Gold",
          "color": "#fbbf24",
          "rank": 3
        }
      ],
      "current_level": {
        "id": "6tz3h7qk8hk8",
        "name": "Bronze",
        "color": "#fb923c"
      },
      "empty_level": {
        "color": "#e5e7eb",
        "label": "Incomplete"
      },
      "checks": [
        {
          "id": "NDQ",
          "name": "Wiki doc link",
          "description": "Ensure the service has a wiki doc linked for documented processes.",
          "passed": true,
          "status": "PASS",
          "published": true,
          "metadata": {},
          "level": {
            "id": "iqehbshu5mkn",
            "name": "Gold"
          },
          "output": null,
          "executed_at": "2025-03-28T21:42:33.205399"
        },
        {
          "id": "NDM",
          "name": "< 3 open PRs",
          "description": "Ensure the service has less than 3 open PRs",
          "passed": false,
          "status": "FAIL",
          "published": true,
          "metadata": {},
          "level": {
            "id": "iqehbshu5mkn",
            "name": "Gold"
          },
          "output": {
            "value": 6,
            "type": "number"
          },
          "message": null,
          "related_property": null,
          "executed_at": "2025-03-28T21:42:33.184795"
        },
        {
          "id": "MzI",
          "name": "Defined tier",
          "description": "Ensure a service has a tier defined",
          "passed": false,
          "status": "FAIL",
          "published": true,
          "metadata": {},
          "level": {
            "id": "6tz3h7qk8hk8",
            "name": "Bronze"
          },
          "output": null,
          "message": null,
          "related_property": null,
          "executed_at": "2025-04-02T20:32:50.674425"
        },
        {
          "id": "MzM",
          "name": "Defined owner",
          "description": "Ensure the service has a defined owner",
          "passed": true,
          "status": "PASS",
          "published": true,
          "metadata": {},
          "level": {
            "id": "6tz3h7qk8hk8",
            "name": "Bronze"
          },
          "output": null,
          "message": null,
          "related_property": null,
          "executed_at": "2025-04-02T20:32:51.237975"
        }
      ]
    }
  ],
  "response_metadata": {
    "next_cursor": "xuvkgfq9t0ty"
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
invalid_arguments One or more of the arguments provided is invalid.

Legacy path

This method is temporarily still available at the following legacy path:

GET https://api.getdx.com/entities.scorecards